# studio::Duckmatic::Push Class Reference

`#include <duckmatic.h>`

List of all members.

## Public Member Functions

| Push (Duckmatic *duckmatic_)
| ~Push ()
void | restore ()

## Detailed Description

Todo:
  This needs to be documented further.

## Constructor & Destructor Documentation

Duckmatic::Push::Push | ( | Duckmatic * | duckmatic_ | ) |

References studio::Duckmatic::bezier_list_, studio::Duckmatic::duck_data_share_map, studio::Duckmatic::duck_dragger_, studio::Duckmatic::duck_map, and studio::Duckmatic::stroke_list_.

Duckmatic::Push::~Push | ( |  | ) |

References restore().

## Member Function Documentation

void Duckmatic::Push::restore | ( |  | ) |

References studio::Duckmatic::bezier_list_, studio::Duckmatic::duck_data_share_map, studio::Duckmatic::duck_dragger_, studio::Duckmatic::duck_map, and studio::Duckmatic::stroke_list_.

Referenced by ~Push().

The documentation for this class was generated from the following files:

- duckmatic.h
- duckmatic.cpp